unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, StdCtrls, ExtCtrls, TeeProcs, TeEngine, Chart,
  TeeComma, Series;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Image1: TImage;
    RGOption: TRadioGroup;
    BCreateBitmap: TButton;
    procedure FormCreate(Sender: TObject);
    procedure BCreateBitmapClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses TeeGLCanvas, TeeConst;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Caption:=TeeMsg_Version;

  Chart1.Visible:=false;
  Chart1.Canvas:=TGLCanvas.Create;

  Chart1.AddSeries(TBarSeries).FillSampleValues();
end;

procedure TForm1.BCreateBitmapClick(Sender: TObject);
var
  ReportChartWidthC: Integer;
  ReportChartHeightC: Integer;
  PaintRect: TRect;
  MyBitmap: TBitmap;
  OldW, OldH : Integer;
begin
  ReportChartWidthC:=Image1.Width;
  ReportChartHeightC:=Image1.Height;

  PaintRect := Rect(0, 0, ReportChartWidthC, ReportChartHeightC);
  MyBitmap := TBitmap.Create;
  MyBitmap.Width:=ReportChartWidthC;
  MyBitmap.Height:= ReportChartHeightC;

  try
    if (RGOption.ItemIndex = 2) then
    begin
      OldW:=Chart1.Width;
      OldH:=Chart1.Height;
      Chart1.Width:=ReportChartWidthC;
      Chart1.Height:=ReportChartHeightC;
      Chart1.Draw;
    end;

    case (RGOption.ItemIndex) of
      0: Chart1.Draw(MyBitmap.Canvas, PaintRect);
      1: MyBitmap:=Chart1.TeeCreateBitmap(Chart1.BackColor, PaintRect);
      2: MyBitmap:=Chart1.TeeCreateBitmap;
    end;

    Image1.Picture.Bitmap:=MyBitmap;
  finally
    MyBitmap.Free;

    if (RGOption.ItemIndex = 2) then
    begin
      Chart1.Width:=OldW;
      Chart1.Height:=OldH;
    end;
  end;
end;

end.
